@font-face {
  font-family: 'CenturyGothic-Bold';
  src: url(./CenturyGothic-Bold.woff2) format('woff2');
}


*{
    box-sizing: border-box;
}

body {
    padding: 0;
    margin: 0;
    position: relative;
    min-height: 100svh;
    height: 100dvh;
    font-family: CenturyGothic-Bold;
}

#participant_wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 800px;
    margin: 0 auto;
    flex-direction: column;
}

table {
    font-size: 1.25rem;
    width: 100%
}

th {
    background-color: #555;
    color: #fff;
}

th,
td {
    padding: .25rem 1rem;
}

tr:nth-child(even) td {
    background-color: #999;
}

tr:nth-child(odd) td {
    background-color: #bbb;
}

.center {
    text-align: center;
}

.fail {
    color: #f55;
}

.button {
    border-radius: 0;
    border: 1px solid #ccc;
    background-color: #aaa;
    padding: .5rem 2rem;
    display: block;
    cursor: pointer;
    color: #fff;
    font-size: 1rem;
}

.button_table {
    width: 100%;
}

.button:hover {
    background-color: #00cbff;
}

#messages {
    width: 100%;
}

.row {
    display: flex;
    flex-direction: row;
    gap: 16px;
    padding: .5rem;
}

.row_actions {
    justify-content: flex-end;
}

.fail_row {
    display: flex;
    flex-direction: row;
    gap: 16px;
    padding: .5rem;
    border-radius: 4px;
    border: 2px solid rgb(255, 41, 41);
    background-color: rgb(232, 3, 3);
    color: #fff;
}

.status_row {
    display: flex;
    flex-direction: row;
    gap: 16px;
    padding: .5rem;
    border-radius: 4px;
    border: 2px solid rgb(96, 255, 64);
    background-color: rgb(0, 182, 27);
    color: #fff;
}

.fail_row p,
.status_row p {
    padding: 0;
    margin: 0;
    font-weight: 600;
}

.row_left {
    width: 30%;
}

.row_right {
    flex: 1;
    display: flex;
    gap: 16px;
}

.row_right * {
    flex: 1;
}

#set_options_form {
    width: 100%;
}

.hidden {
    display: none;
}

@media(max-width: 600px) {
    .row {
        flex-direction: column;
    }

    .row_left {
        width: 100%;
    }
}

.link {
    cursor: pointer;
    color: #000;
    text-decoration: underline;
}

.link:hover {
    text-decoration: none;
}

#load_meeting_form,
#back_form {
    width: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}

#overlay {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: all;
    background-color: #5555;
    backdrop-filter: blur(5px);
}

.loader {
    animation: rotateme 2s infinite linear;
}

@keyframes rotateme {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.hidden{
    display: none !important;
}

.nav{
    padding: 2rem;
    margin-bottom: 2rem;
    width: 100%;
    height: 60px;
    display: flex;
    gap: 50px;
    font-size: 1.5rem;
    justify-content: center;
}

.item{
    position: relative;
    padding: 1rem 3rem;
    background-color: #005dff;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60px;
    cursor: pointer;
}

.item.active{
    background-color: #00cbff;
    cursor: auto;
}

.item.previous:hover{
    background-color: #00cbff;
}

.item.previous:hover .right-arrow.previous{
    position: absolute;
    width:60px;
    height:0;
    right: -60px;
    border-top:30px solid transparent;
    border-bottom:30px solid transparent;
    border-left:30px solid #00cbff;
}

.item.previous{
    background-color: #005dff;
    cursor: pointer
}

.item.active:hover{
    cursor: auto;
}

.extra-margin{
    margin-left: 1rem;
}

.item.body.inactive{
    background-color: #898989 !important;
    cursor: auto;
}

.item.inactive:hover{
    cursor: auto;
}

.left-arrow{
    position: absolute;
    width:100%;
    height:0;
    border-top:30px solid transparent;
    border-bottom:30px solid transparent;
    border-left:30px solid white;
}

.right-arrow.previous{
    position: absolute;
    width:60px;
    height:0;
    right: -60px;
    border-top:30px solid transparent;
    border-bottom:30px solid transparent;
    border-left:30px solid #005dff;
}

.right-arrow.active,
.right-arrow.previous:hover{
    position: absolute;
    width:60px;
    height:0;
    right: -60px;
    border-top:30px solid transparent;
    border-bottom:30px solid transparent;
    border-left:30px solid #00cbff;
}

.right-arrow.inactive{
    position: absolute;
    width:60px;
    height:0;
    right: -60px;
    border-top:30px solid transparent;
    border-bottom:30px solid transparent;
    border-left:30px solid #898989 !important;
}

a{
    text-decoration: none !important;
}

.container{
    max-width: 1000px;
    margin: 0 auto;
    display: relative;
}

.no_stretch{
    flex: 0;
}
.certificate_wrapper{
    display: flex;
    flex-direction: row;
    gap: 16px;
}
.certificate_left{
    flex: 1;
}
.certificate_right{
    max-width: 40%;
    flex: 1;
}
.row_certificate_upload{
    justify-content: space-between;
}

.display_source{
   border: 1px solid #ccc;
   width: 100%;
   aspect-ratio: 210 / 297;
}

.frame_participants{
   max-height: 50vh;
   overflow-y: auto;
}

.progress-width{
  width: 100%;
  height: 20px;
}

#hidden_reset{
  border: 1px solid red;
  display: none;
  width: 50px;
  height: 50px;
  potision: absolute;
  right: 0;
  bottom: 0;
}